
package org.sky.scientific.wrapper;

import org.sky.core.mp.support.BaseEntityWrapper;
import org.sky.core.tool.utils.BeanUtil;
import org.sky.scientific.pojo.entity.AssetEntity;
import org.sky.scientific.pojo.vo.AssetVO;
import java.util.Objects;

/**
 * 资产表 包装类,返回视图层所需的字段
 *
 * @author Kd
 * @since 2025-06-29
 */
public class ZcWrapper extends BaseEntityWrapper<AssetEntity, AssetVO> {

	public static ZcWrapper build() {
		return new ZcWrapper();
 	}

	@Override
	public AssetVO entityVO(AssetEntity zc) {
		AssetVO zcVO = Objects.requireNonNull(BeanUtil.copyProperties(zc, AssetVO.class));

		//User createUser = UserCache.getUser(zc.getCreateUser());
		//User updateUser = UserCache.getUser(zc.getUpdateUser());
		//zcVO.setCreateUserName(createUser.getName());
		//zcVO.setUpdateUserName(updateUser.getName());

		return zcVO;
	}


}
